SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001631SOGo ConnectorGUIpublic2012-02-14 03:312016-08-05 17:06
Reporterseltsamt 
Assigned Toludovic 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionMonotone / nightly 
Target VersionFixed in Version 
Summary0001631: TB 10 connector does not syc
DescriptionInstallation:
SOGo Server on Ubuntu 10.04
Frontend:
Win XP, TB 10.0.1 (update history starting from 7.x) + Sogo Connector for TB 10 (from SOGo's frontend page, not the nightly. - Though there is not category for this in the bug tracking system.)

On trying to sync with SOGo server nothing happens. - Deleted all the contacts in TB 10, nothing happens. Deleted the Addressbook an recreated it, nothing happens. - Reinstalled TB 10 Connector, nothing happens.

There is no output on the error-console for any of the described cases.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0003434)
seltsamt (reporter)
2012-02-14 03:34

Creating a new abook for a different user on same installation worked fine. - After deleting the abook and recreation of it I have the same problem as described earlier.
(0003494)
seltsamt (reporter)
2012-02-28 03:34

Opened new issue 0001654 due to possibility to give correct version of frontend. - This issue can be closed.
(0003535)
wsourdeau (viewer)
2012-03-06 14:55

Please activate "browser.dom.window.dump.enabled" in your advanced thunderbird config and launch thunderbird from the command-line with "-console" as parameter. This will display a new window where all output will be directed.
(0003543)
seltsamt (reporter)
2012-03-07 03:07

Output of the console window:

startup from sogo-connector
*** new sync: 1
  1/sync with https://DOMAIN/SOGo/dav/USER/Contacts/personal/.. [^]
.
no interface in sogoWebDAV named {a430d870-df77-4502-9570-d46a8de33154}
no interface in sogoWebDAV named {85cd2640-e91e-41ac-bdca-1dbf10dc131e}
no interface in sogoWebDAV named {081e31e0-a144-11d3-8c7c-00609792278c}
no interface in sogoWebDAV named {09b54ec1-d98a-49a9-bc95-3219e8b55089}
sogoWebDAV: trapped exception: [Exception... "Component returned failure code: 0
x80040111 (NS_ERROR_NOT_AVAILABLE) [nsIHttpChannel.responseStatus]" nsresult: "
0x80040111 (NS_ERROR_NOT_AVAILABLE)" location: "JS frame :: chrome://inverse-li
brary/content/sogoWebDAV.js :: <TOP_LEVEL> :: line 476" data: no]
sogoWebDAV.js: an exception occured
ReferenceError: method is not defined
chrome://inverse-library/content/sogoWebDAV.js:489
url: https://DOMAIN/SOGo/dav/USER/Contacts/personal/ [^]
(0003608)
Pander (reporter)
2012-03-20 18:34

Thunderbird 10.0.2 does not have an advanced setting called browser.dom.window.dump.enable in its config editor about:config. How can I enabe -console for this version of Thunderbird?
(0003609)
seltsamt (reporter)
2012-03-21 03:23
edited on: 2012-03-21 03:24

Open the config editor with the right mouse button select new > boolean. A popup appears insert "browser.dom.window.dump.enabled" press "OK", assign the boolean value "true".

(0003611)
Pander (reporter)
2012-03-21 08:38

Removing Work/Organisation and changing Categories is not pushed to the server. However, these changes do arrive from Andriod via server via SOGge at Thunderbird.

Also Android default categories are not handled well. For example
   System Group: Friends
which is pushed from Android is impossible to correctly use. It results in nothing being set or multiple duplicates of this category are being created in SOGo Connector. The are called
   System Group\: Friend
This only shows up at the bottom of the contact overview in TB address book. When setting categories, they are indistinguishable from
   System Group: Friends

Please properly support groups originating from Android and prevent creation of duplicates. See also http://www.sogo.nu/bugs/view.php?id=1705 [^]
User avatar (0010580)
ludovic (administrator)
2016-08-05 17:06

Ancient bug, closing.

- Issue History
Date Modified Username Field Change
2012-02-14 03:31 seltsamt New Issue
2012-02-14 03:34 seltsamt Note Added: 0003434
2012-02-28 03:34 seltsamt Note Added: 0003494
2012-03-06 14:55 wsourdeau Note Added: 0003535
2012-03-07 03:07 seltsamt Note Added: 0003543
2012-03-20 18:34 Pander Note Added: 0003608
2012-03-21 03:23 seltsamt Note Added: 0003609
2012-03-21 03:24 seltsamt Note Edited: 0003609
2012-03-21 08:38 Pander Note Added: 0003611
2016-08-05 17:06 ludovic Note Added: 0010580
2016-08-05 17:06 ludovic Status new => closed
2016-08-05 17:06 ludovic Assigned To => ludovic
2016-08-05 17:06 ludovic Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker